#
# spec file for package libstroke (Version 0.5.1)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs expat file filesystem fillup findutils flex fontconfig fontconfig-devel gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim xorg-x11 xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           libstroke
BuildRequires:  xorg-x11 xorg-x11-devel
License:        GPL
Group:          System/Libraries
Autoreqprov:    on
Version:        0.5.1
Release:        15.2
URL:            http://www.etla.net/libstroke/
Source0:        http://www.etla.net/libstroke/libstroke-%{version}.tar.bz2
Patch:          libstroke-0.4.dif
Patch1:         no-gtk1.patch
Patch2:         fix-implicit-declarations.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        A Stroke Translation Library

%description
LibStroke is a stroke interface library.  Strokes are motions of the
mouse that can be interpreted by a program as a command.  Strokes are
used extensively in CAD programs.



Authors:
--------
    Mark Willey  <willey@etla.net>

%debug_package
%package      -n libstroke-devel
Summary:        Development package for libstroke
Group:          System/Libraries
Requires:       %{name} = %{version}

%description  -n libstroke-devel
This package is needed if you want to program or compile applications
that use libstroke.



Authors:
--------
    Mark Willey  <willey@etla.net>

%prep
%setup0
%patch
%patch1 -p1
%patch2 -p1

%build
rm -f config.cache
# update config.{guess,sub}
%{?suse_update_config -f}
autoreconf --force --install
CFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=/usr \
            --libdir=%{_libdir} \
            --mandir=%{_mandir} \
            --infodir=%{_infodir} \
	    --disable-gtktest \
            %{_target_cpu}-suse-linux
make 

%install
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%post
%run_ldconfig

%postun
%run_ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPY* CREDITS ChangeLog INSTALL NEWS README* TODO
%{_libdir}/libstroke.so.*

%files -n libstroke-devel
%defattr(-, root, root)
%{_libdir}/libstroke.so
%{_libdir}/libstroke.*a
/usr/include/*.h
/usr/share/aclocal/*.m4

%changelog -n libstroke
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Sep 22 2005 - mfabian@suse.de
- fix implicit declarations.
* Mon Apr 18 2005 - mfabian@suse.de
- update to 0.5.1 and make it build on STABLE again.
* Sat Jan 10 2004 - adrian@suse.de
- add %%run_ldconfig
* Sat Aug 10 2002 - mfabian@suse.de
- libstroke-devel should require libstroke
* Thu Jun 20 2002 - ro@suse.de
- fix for current automake and run autoreconf
* Tue Mar 05 2002 - mfabian@suse.de
- use %%{_libdir}
* Tue Apr 03 2001 - mfabian@suse.de
- new package: libstroke-0.4
